Page MenuHomePhabricator

Write and send supplementary release announcement for extensions and skins with security patches (MediaWiki 1.31.8/1.33.4/1.34.2)
Closed, ResolvedPublic

Description

Previous work: T240400

Maniphest IDExtension or SkinCVE IDREL1_31REL1_33REL1_34master
T250594CentralAuthCVE-2020-12051YesYesYesYes

Event Timeline

Reedy created this task.Mar 26 2020, 12:38 AM
Reedy changed the subtype of this task from "Security Issue" to "Task".
sbassett claimed this task.Apr 23 2020, 2:50 AM
sbassett triaged this task as Low priority.
sbassett updated the task description. (Show Details)
sbassett added a project: user-sbassett.
sbassett moved this task from Backlog to In Progress on the user-sbassett board.
sbassett moved this task from In Progress to Waiting on the user-sbassett board.Jun 8 2020, 9:26 PM
sbassett added a comment.EditedJun 24 2020, 8:46 PM

{{draft}}

Subject: MediaWiki Extensions and Skins Security Release Supplement (1.31.8/1.33.4/1.34.2)

Greetings-

With the security/maintenance release of MediaWiki 1.31.8/1.33.4/1.34.2 [0], we would also like to provide this supplementary announcement of MediaWiki extensions and skins with now-public Phabricator tasks, security patches and backports [1]:

== CentralAuth ==
+ (T250594, CVE-2020-12051) - globaluserinfo api allows access to information about hidden users
< https://gerrit.wikimedia.org/r/#/q/I3c80641dc1202df7428714f0ca44717a51ff6021 >

The Wikimedia Security Team recommends updating these extensions and/or skins to the current master branch or relevant, supported release branch [2] as soon as possible. Some of the referenced Phabricator tasks above _may_ still be private. Unfortunately, when security issues are reported, sometimes sensitive information is exposed and since Phabricator is historical, we cannot make these tasks public without exposing this sensitive information. If you have any additional questions or concerns regarding this update, please feel free to contact security@wikimedia.org or file a security task within Phabricator [3].

[0] https://lists.wikimedia.org/pipermail/mediawiki-announce/2020-June/000252.html
[1] https://phabricator.wikimedia.org/T248542
[2] https://www.mediawiki.org/wiki/Version_lifecycle
[3] https://www.mediawiki.org/wiki/Reporting_security_bugs

sbassett changed the visibility from "Custom Policy" to "Public (No Login Required)".Jun 25 2020, 4:14 PM
sbassett moved this task from Waiting to Done on the user-sbassett board.